%ifarch %ix86 x86_64
%define msse_flags -msse -mfpmath=sse
%endif

Name:           radium-compressor
Version:        0.5.1
Release:        7%{?dist}
Summary:        An audio compressor for JACK

Group:          Applications/Multimedia
License:        GPLv3+
URL:            http://users.notam02.no/~kjetism/radium/
Source0:        http://archive.notam02.no/arkiv/src/radium_compressor-0.5.1.tar.gz
Source1:        radium-compressor.desktop
Patch0:         radium_compressor-0.5.1-cstdlib.patch
BuildRequires:  jack-audio-connection-kit-devel
BuildRequires:  qt4-devel
BuildRequires:  desktop-file-utils

%description
Radium Compressor is the system compressor in Radium,
but distributed as a standalone jack application.

Radium Compressor uses the stereo compressor found in
effect.lib in the Faust distribution. 

%prep
%setup -q -n radium_compressor-%{version}
%patch0 -p1
find -name "*.h" -exec chmod 0644 {} \;
# see https://bugzilla.redhat.com/show_bug.cgi?id=904658 for 
# justification of non-standard optflags
sed -i -e 's|-O3 -Wall -msse -mfpmath=sse|%{optflags} %{?msse_flags} -O3|' Makefile

%build
make %{?_smp_mflags}

%install
install -p -D -m0755 radium_compressor %{buildroot}%{_bindir}/radium_compressor
desktop-file-install --dir=%{buildroot}%{_datadir}/applications %SOURCE1

%files
%doc README COPYING Changelog
%{_bindir}/radium_compressor
%{_datadir}/applications/%{name}.desktop

%changelog
* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Dan Horák <dan[at]danny.cz> 0.5.1-4
- fix build on arches where the msse_flags variable is not defined

* Wed Feb 13 2013 Brendan Jones <brendan.jones.it@gmail.com> 0.5.1-3
- Link to review BZ for optflag justification
- Set optflags only once

* Sat Feb 09 2013 Brendan Jones <brendan.jones.it@gmail.com> 0.5.1-2
- Adjust build flags, file permissions and license

* Sat Jan 26 2013 Brendan Jones <brendan.jones.it@gmail.com> 0.5.1-1
- New upstream release

* Fri Jan 25 2013 Brendan Jones <brendan.jones.it@gmail.com> 0.0.1-1
- Initial development
